/*
 *  x11.cpp  -  X11 functions
 *  Program:  kalarm
 *  Copyright © 2009 by David Jarvie <software@astrojar.org.uk>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#include "kalarm.h"
#include "x11.h"

#ifdef HAVE_XTEST
#include <qwindowdefs.h>
#include <X11/keysym.h>
#include <X11/extensions/XTest.h>
#include <kdebug.h>
#endif

// This file is separated out so that --enable-final builds can work.

namespace KAlarm
{

/******************************************************************************
* Cancel the screen saver, in case it is active.
* Only implemented if the X11 XTest extension is installed.
*/
void cancelScreenSaver()
{
#ifdef HAVE_XTEST
	kdDebug(5950) << "KAlarm::cancelScreenSaver()" << endl;
	Display* display = qt_xdisplay();
	static int XTestKeyCode = 0;
	if (!XTestKeyCode)
		XTestKeyCode = XKeysymToKeycode(display, XK_Shift_L);
	XTestFakeKeyEvent(display, XTestKeyCode, true, CurrentTime);
	XTestFakeKeyEvent(display, XTestKeyCode, false, CurrentTime);
	XSync(display, false);
#endif // HAVE_XTEST
}

} // namespace
